/* xdaliclock - a melting digital clock
 * Copyright (c) 1991-2006 Jamie Zawinski <jwz@jwz.org>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 */

#import <Cocoa/Cocoa.h>
#import "xdaliclock.h"

@interface DaliClockView : NSView
{
  dali_config config;
  NSImage *img;
  unsigned char *pixmap;
  NSColor *fg;
  NSColor *bg;
  NSTimer *clockTimer;
  NSTimer *colorTimer;

  BOOL usesCountdownTimer;
  NSDate *countdownDate;
  NSColor *initialForegroundColor;
  NSColor *initialBackgroundColor;
}

/* Bindable Properties:
     hourStyle
     timeStyle
     dateStyle
     cycleSpeed
     usesCountdownTimer
     countdownDate
     initialForegroundColor
     initialBackgroundColor
*/

@end
